Skip to main content

Geostatistics Task API

Version: 0.1.9
Preview

Break ties

POST
/compute/orgs/{org_id}/geostatistics/break-ties

For more information, please read the guide

Request

Path parameters

The organisation identifier

Body parameters

Examples: {"key":"value"}, {"another_key":123}

Data in which ties will be broken.

Object that contains the data in which ties will be broken. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The known values, used to estimate values at unknown locations.

Examples: {"key":"value"}, {"another_key":123}

Object and attribute where the results will be written.

Object where the results will be written. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The attribute to write the results to.

The operation to perform on the attribute.

The name of the attribute to create.

The operation to perform on the attribute.

Reference to an existing attribute to update.

Examples: 1, 14, 70, 87, 92

Default: 38239342

Seed for the random number generator.

Examples: {"key":"value"}, {"another_key":123}

Search parameters.

In this break ties algorithm, the final value of each tied point is influenced by the mean of nearby points. The search parameters determines which nearby points to use.

The ellipsoid, to search for points within

The ranges of the ellipsoid

The major axis length of the ellipsoid

The semi major axis length of the ellipsoid

The minor axis length of the ellipsoid

The rotation of the ellipsoid

first rotation, about the z-axis, in degrees

second rotation, about the x-axis, in degrees

third rotation, about the z-axis, in degrees

The maximum number of neighbors to find for each tied point.

Default: 1

The minimum number of samples to use for each evaluation point.

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"object": "https://example.com",
"attribute": {
"name": "string"
}
},
"seed": 38239342,
"neighborhood": {
"ellipsoid": {
"ellipsoid_ranges": {
"major": 0,
"semi_major": 0,
"minor": 0
},
"rotation": {
"dip_azimuth": 0,
"dip": 0,
"pitch": 0
}
},
"max_samples": 0,
"min_samples": 1
}
}

Responses

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

A message that says what happened in the task.

Examples: {"key":"value"}, {"another_key":123}

The target that was created or updated.

Reference to a geoscience object. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Attribute containing the break ties result.

Reference to the attribute in the geoscience object.

The name of the output attribute.

{
"message": "string",
"target": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string",
"attribute": {
"reference": "string",
"name": "string"
}
}
}

303

303 response, see Compute API Execute Task documentation for more details

What is the reason for your feedback?